pcl::traits Namespace Reference

## Classes

struct | asEnum
struct | asEnum< double >
struct | asEnum< float >
struct | asEnum< std::int16_t >
struct | asEnum< std::int32_t >
struct | asEnum< std::int8_t >
struct | asEnum< std::uint16_t >
struct | asEnum< std::uint32_t >
struct | asEnum< std::uint8_t >
struct | asType
struct | asType< pcl::PCLPointField::FLOAT32 >
struct | asType< pcl::PCLPointField::FLOAT64 >
struct | asType< pcl::PCLPointField::INT16 >
struct | asType< pcl::PCLPointField::INT32 >
struct | asType< pcl::PCLPointField::INT8 >
struct | asType< pcl::PCLPointField::UINT16 >
struct | asType< pcl::PCLPointField::UINT32 >
struct | asType< pcl::PCLPointField::UINT8 >
struct | datatype
struct | decomposeArray
struct | fieldList
struct | name
struct | offset
struct | POD

## Functions

template<typename T >
std::enable_if_t<!std::is_array< T >::value > | plus (T &l, const T &r)
template<typename T >
std::enable_if_t< std::is_array< T >::value > | plus (std::remove_const_t< T > &l, const T &r)
template<typename T1 , typename T2 >
std::enable_if_t<!std::is_array< T1 >::value > | plusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t< std::is_array< T1 >::value > | plusscalar (T1 &p, const T2 &scalar)
template<typename T >
std::enable_if_t<!std::is_array< T >::value > | minus (T &l, const T &r)
template<typename T >
std::enable_if_t< std::is_array< T >::value > | minus (std::remove_const_t< T > &l, const T &r)
template<typename T1 , typename T2 >
std::enable_if_t<!std::is_array< T1 >::value > | minusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t< std::is_array< T1 >::value > | minusscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t<!std::is_array< T1 >::value > | mulscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t< std::is_array< T1 >::value > | mulscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t<!std::is_array< T1 >::value > | divscalar (T1 &p, const T2 &scalar)
template<typename T1 , typename T2 >
std::enable_if_t< std::is_array< T1 >::value > | divscalar (T1 &p, const T2 &scalar)

## Function Documentation

## divscalar() [1/2]

template<typename T1 , typename T2 >

std::enable_if_t<!std::is_array<T1>::value> pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 183 of file register_point_struct.h.

## divscalar() [2/2]

template<typename T1 , typename T2 >

std::enable_if_t<std::is_array<T1>::value> pcl::traits::divscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 190 of file register_point_struct.h.

## minus() [1/2]

template<typename T >

std::enable_if_t<std::is_array<T>::value> pcl::traits::minus | ( | std::remove_const_t< T > & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 139 of file register_point_struct.h.

## minus() [2/2]

template<typename T >

std::enable_if_t<!std::is_array<T>::value> pcl::traits::minus | ( | T & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 132 of file register_point_struct.h.

## minusscalar() [1/2]

template<typename T1 , typename T2 >

std::enable_if_t<!std::is_array<T1>::value> pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 149 of file register_point_struct.h.

## minusscalar() [2/2]

template<typename T1 , typename T2 >

std::enable_if_t<std::is_array<T1>::value> pcl::traits::minusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 156 of file register_point_struct.h.

## mulscalar() [1/2]

template<typename T1 , typename T2 >

std::enable_if_t<!std::is_array<T1>::value> pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 166 of file register_point_struct.h.

## mulscalar() [2/2]

template<typename T1 , typename T2 >

std::enable_if_t<std::is_array<T1>::value> pcl::traits::mulscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 173 of file register_point_struct.h.

## plus() [1/2]

template<typename T >

std::enable_if_t<std::is_array<T>::value> pcl::traits::plus | ( | std::remove_const_t< T > & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 105 of file register_point_struct.h.

## plus() [2/2]

template<typename T >

std::enable_if_t<!std::is_array<T>::value> pcl::traits::plus | ( | T & | l,
|  | const T & | r
| ) |  |

inline

Definition at line 98 of file register_point_struct.h.

## plusscalar() [1/2]

template<typename T1 , typename T2 >

std::enable_if_t<!std::is_array<T1>::value> pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 115 of file register_point_struct.h.

## plusscalar() [2/2]

template<typename T1 , typename T2 >

std::enable_if_t<std::is_array<T1>::value> pcl::traits::plusscalar | ( | T1 & | p,
|  | const T2 & | scalar
| ) |  |

inline

Definition at line 122 of file register_point_struct.h.